# scripts/deployment/calculate-costs-consolidated.sh

**Name**: `calculate-costs-consolidated.sh`

Calculate deployment costs using costs.sh (supports JSON and text outputs)


**Uses common library**: yes

**Has --help**: yes

## Usage
`${SCRIPT_NAME} [--source auto|infura|conservative] [--format text|json] [--help]`

### Options
```
--source <name>     Gas price source (default: auto)
--format <fmt>     Output format (text|json)
--help             Show help
```

## Examples
```bash
${SCRIPT_NAME} [--source auto|infura|conservative] [--format text|json] [--help]
```
